Package twisted :: Package conch :: Package client :: Module unix :: Class SSHUnixClientProtocol

[frames | no frames]

## Class SSHUnixClientProtocol

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                 SSHUnixProtocol --+
                                   |
                                  SSHUnixClientProtocol

Method Summary
| `__init__(self)`
| `adjustWindow(self, channel, bytesToAdd)`
| `cancelRemoteForwarding(self, remotePort)`
| `connectionLost(self, reason)`
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| `msg_addWindowBytes(self, lst)`
| `msg_channelID(self, lst)`
| `msg_channelOpen(self, lst)`
| `msg_closed(self, lst)`
| `msg_dataReceived(self, lst)`
| `msg_eofReceived(self, lst)`
| `msg_extReceived(self, lst)`
| `msg_openFailed(self, lst)`
| `msg_requestReceived(self, lst)`
| `openChannel(self, channel, extra)`
| `requestRemoteForwarding(self, remotePort, hostport)`
| `sendClose(self, channel)`
| `sendData(self, channel, data)`
| `sendEOF(self, channel)`
| `sendExtendedData(self, channel, dataType, data)`
| `sendGlobalRequest(self, request, data, wantReply)`
| `sendRequest(self, channel, requestType, data, wantReply)`
Inherited from SSHUnixProtocol
| ``_cbDeferred`(self, result, di)`
| ``_ebDeferred`(self, reason, di)`
| ``connectionMade`(self)` Called when a connection is made.
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| ``msg_callbackDeferred`(self, lst)`
| ``msg_errbackDeferred`(self, lst)`
| ``msg_returnDeferred`(self, lst)`
| ``returnDeferredLocal`(self)`
| ``returnDeferredWire`(self, d)`
| ``sendMessage`(self, vocabName, *tup)`
Inherited from Canana
| ``dataReceived`(self, chunk)`
| ``sendEncoded`(self, obj)`
Inherited from Pynana
| ``_encode`(self, obj, write)`
| ``_selectDialect`(self, dialect)`
| ``callExpressionReceived`(self, obj)`
| ``gotItem`(self, item)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from SSHUnixProtocol
`list` | `knownDialects` = `['none']`
Inherited from Pynana
`str` | `buffer` = `''`
`dict` | `incomingVocabulary` = `{1: 'None', 2: 'class', 3: 'derefer...`
`str` | `k` = `'lcache'`
`dict` | `outgoingVocabulary` = `{'function': 6, 'None': 1, 'diction...`
`int` | `v` = 18
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionReady(self)

Surrogate for connectionMade Called after protocol negotiation.

  Overrides:
    `twisted.spread.banana.Pynana.connectionReady` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:55 2004 | http://epydoc.sf.net